- Qt 5.15
- Qt Quick
- C++ Classes
- QQuickPaintedItem
- Qt 5.15.18 Reference Documentation

# Obsolete Members for QQuickPaintedItem

The following members of class QQuickPaintedItem are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(obsolete)` contentsScale : qreal
- `(obsolete)` contentsSize : QSize

## Public Functions

`(obsolete)` QRectF | contentsBoundingRect() const
`(obsolete)` qreal | contentsScale() const
`(obsolete)` QSize | contentsSize() const
`(obsolete)` void | resetContentsSize()
`(obsolete)` void | setContentsScale(qreal)
`(obsolete)` void | setContentsSize(const QSize &)

## Signals

`(obsolete)` void | contentsScaleChanged()
`(obsolete)` void | contentsSizeChanged()

## Property Documentation

### contentsScale : qreal

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Obsolete method for scaling the contents.

This function is provided for compatibility, use size() in combination with textureSize() to decide the size of what you are drawing.

Access functions:

qreal | contentsScale() const
void | setContentsScale(qreal)

Notifier signal:

void | contentsScaleChanged()

See also width(), height(), and textureSize().

### contentsSize : QSize

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Obsolete method for setting the contents size.

This function is provided for compatibility, use size in combination with textureSize to decide the size of what you are drawing.

Access functions:

QSize | contentsSize() const
void | setContentsSize(const QSize &)

Notifier signal:

void | contentsSizeChanged()

See also width(), height(), and textureSize().

## Member Function Documentation

### QRectF QQuickPaintedItem::contentsBoundingRect() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is provided for compatibility, use size in combination with textureSize to decide the size of what you are drawing.

See also width(), height(), and textureSize().

### void QQuickPaintedItem::resetContentsSize()

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This convenience function is equivalent to calling setContentsSize(QSize()).